%define	name	radvd
%define	version	0.7.2
%define	release	2mdk

Summary:	The IPv6 Router Advertisement Daemon
Url:		http://v6web.litech.org/radvd/
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		System/Servers
Source0:	http://v6web.litech.org/radvd/dist/%{name}-%{PACKAGE_VERSION}.tar.bz2
Source1:	radvd-init.bz2
Source2:	radvd.conf.bz2
Prereq:		rpm-helper
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	flex

%description
IPv6 has a lot more support for autoconfiguration than IPv4. But
for this autoconfiguration to work on the hosts of a network, the
routers of the local network have to run a program which answers
the autoconfiguration requests of the hosts.

On Linux this program is called radvd, which stands for Router
ADVertisement Daemon. This daemon listens to router solicitations (RS)
and answers with router advertisement (RA). Furthermore unsolicited
RAs are also send from time to time.

These RAs contain information, which is used by hosts to configure
their interfaces. This information includes address prefixes, the MTU of
the link and information about default routers.


%prep
%setup -q

%build
%serverbuild
%configure
%make


%install
rm -rf $RPM_BUILD_ROOT

#make DESTDIR=$RPM_BUILD_ROOT sbindir=%{_sbindir} mandir=%{_mandir} install
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/radvd.conf
chmod 0644 $RPM_BUILD_ROOT%{_sysconfdir}/radvd.conf

mkdir -p $RPM_BUILD_ROOT%{_initrddir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_initrddir}/radvd
chmod 755 $RPM_BUILD_ROOT%{_initrddir}/radvd
perl -pi -e "s|/etc/rc.d/init.d|%{_initrddir}|" $RPM_BUILD_ROOT%{_initrddir}/*


%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service radvd

%preun
%_preun_service radvd
 
%files
%defattr(-,root,root)
%doc CHANGES COPYRIGHT README TODO INTRO.html radvd.conf.example
%config(noreplace) %{_sysconfdir}/radvd.conf
%config(noreplace) %{_initrddir}/radvd
%{_sbindir}/*
%{_mandir}/*/*

%changelog
* Wed Aug 18 2004 Michael Scherer <misc@mandrake.org> 0.7.2-2mdk 
- Rebuild

* Sat Jul 12 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.7.2-1mdk
- 0.7.2
- cleanups

* Fri Feb  8 2002 Jeff Garzik <jgarzik@mandrakesoft.com> 0.7.1-1mdk
- Version 0.7.1.
- Update URL tag.
- Fix License tag

* Fri Oct 26 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.6.2pl4-1mdk
- Version 0.6.2pl4.

* Sat Jun  2 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.5.0-3mdk
- BuildRequires: flex
- Fix rpmlint warnings

* Wed Apr  4 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.5.0-2mdk
- use server macros

* Wed Nov  8 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 0.5.0-1mdk
- First Mandrake version.
